/*
Core

Core API is used to manage resources around organisation like auth, set webhooks per channels, manage campaigns.

API version: 1.0
*/

// Code generated by OpenAPI Generator (https://openapi-generator.tech); DO NOT EDIT.

package coreapi

import (
	"encoding/json"
)

// checks if the GetSupportOrganizationID200Response type satisfies the MappedNullable interface at compile time
var _ MappedNullable = &GetSupportOrganizationID200Response{}

// GetSupportOrganizationID200Response struct for GetSupportOrganizationID200Response
type GetSupportOrganizationID200Response struct {
	OrganizationId string `json:"organization_id"`
}

// NewGetSupportOrganizationID200Response instantiates a new GetSupportOrganizationID200Response object
// This constructor will assign default values to properties that have it defined,
// and makes sure properties required by API are set, but the set of arguments
// will change when the set of required properties is changed
func NewGetSupportOrganizationID200Response(organizationId string) *GetSupportOrganizationID200Response {
	this := GetSupportOrganizationID200Response{}
	this.OrganizationId = organizationId
	return &this
}

// NewGetSupportOrganizationID200ResponseWithDefaults instantiates a new GetSupportOrganizationID200Response object
// This constructor will only assign default values to properties that have it defined,
// but it doesn't guarantee that properties required by API are set
func NewGetSupportOrganizationID200ResponseWithDefaults() *GetSupportOrganizationID200Response {
	this := GetSupportOrganizationID200Response{}
	return &this
}

// GetOrganizationId returns the OrganizationId field value
func (o *GetSupportOrganizationID200Response) GetOrganizationId() string {
	if o == nil {
		var ret string
		return ret
	}

	return o.OrganizationId
}

// GetOrganizationIdOk returns a tuple with the OrganizationId field value
// and a boolean to check if the value has been set.
func (o *GetSupportOrganizationID200Response) GetOrganizationIdOk() (*string, bool) {
	if o == nil {
		return nil, false
	}
	return &o.OrganizationId, true
}

// SetOrganizationId sets field value
func (o *GetSupportOrganizationID200Response) SetOrganizationId(v string) {
	o.OrganizationId = v
}

func (o GetSupportOrganizationID200Response) MarshalJSON() ([]byte, error) {
	toSerialize,err := o.ToMap()
	if err != nil {
		return []byte{}, err
	}
	return json.Marshal(toSerialize)
}

func (o GetSupportOrganizationID200Response) ToMap() (map[string]interface{}, error) {
	toSerialize := map[string]interface{}{}
	toSerialize["organization_id"] = o.OrganizationId
	return toSerialize, nil
}

type NullableGetSupportOrganizationID200Response struct {
	value *GetSupportOrganizationID200Response
	isSet bool
}

func (v NullableGetSupportOrganizationID200Response) Get() *GetSupportOrganizationID200Response {
	return v.value
}

func (v *NullableGetSupportOrganizationID200Response) Set(val *GetSupportOrganizationID200Response) {
	v.value = val
	v.isSet = true
}

func (v NullableGetSupportOrganizationID200Response) IsSet() bool {
	return v.isSet
}

func (v *NullableGetSupportOrganizationID200Response) Unset() {
	v.value = nil
	v.isSet = false
}

func NewNullableGetSupportOrganizationID200Response(val *GetSupportOrganizationID200Response) *NullableGetSupportOrganizationID200Response {
	return &NullableGetSupportOrganizationID200Response{value: val, isSet: true}
}

func (v NullableGetSupportOrganizationID200Response) MarshalJSON() ([]byte, error) {
	return json.Marshal(v.value)
}

func (v *NullableGetSupportOrganizationID200Response) UnmarshalJSON(src []byte) error {
	v.isSet = true
	return json.Unmarshal(src, &v.value)
}


